io.etcd.jetcd.api

## Interface RangeResponseOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  RangeResponse, RangeResponse.Builder

    public interface RangeResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getCount()` count is set to the number of keys within the range when requested.
`ResponseHeader` `getHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeaderOrBuilder` `getHeaderOrBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`KeyValue` `getKvs(int index)` kvs is the list of key-value pairs matched by the range request.
`int` `getKvsCount()` kvs is the list of key-value pairs matched by the range request.
`List<KeyValue>` `getKvsList()` kvs is the list of key-value pairs matched by the range request.
`KeyValueOrBuilder` `getKvsOrBuilder(int index)` kvs is the list of key-value pairs matched by the range request.
`List<? extends KeyValueOrBuilder>` `getKvsOrBuilderList()` kvs is the list of key-value pairs matched by the range request.
`boolean` `getMore()` more indicates if there are more keys to return in the requested range.
`boolean` `hasHeader()` `.etcdserverpb.ResponseHeader header = 1;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### hasHeader

    boolean hasHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Returns:
  Whether the header field is set.

#### getHeader

    ResponseHeader getHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Returns:
  The header.

#### getHeaderOrBuilder

    ResponseHeaderOrBuilder getHeaderOrBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

#### getKvsList

    List<KeyValue> getKvsList()

     kvs is the list of key-value pairs matched by the range request.
     kvs is empty when count is requested.

`repeated .mvccpb.KeyValue kvs = 2;`

#### getKvs

    KeyValue getKvs(int index)

     kvs is the list of key-value pairs matched by the range request.
     kvs is empty when count is requested.

`repeated .mvccpb.KeyValue kvs = 2;`

#### getKvsCount

    int getKvsCount()

     kvs is the list of key-value pairs matched by the range request.
     kvs is empty when count is requested.

`repeated .mvccpb.KeyValue kvs = 2;`

#### getKvsOrBuilderList

    List<? extends KeyValueOrBuilder> getKvsOrBuilderList()

     kvs is the list of key-value pairs matched by the range request.
     kvs is empty when count is requested.

`repeated .mvccpb.KeyValue kvs = 2;`

#### getKvsOrBuilder

    KeyValueOrBuilder getKvsOrBuilder(int index)

     kvs is the list of key-value pairs matched by the range request.
     kvs is empty when count is requested.

`repeated .mvccpb.KeyValue kvs = 2;`

#### getMore

    boolean getMore()

     more indicates if there are more keys to return in the requested range.

`bool more = 3;`

Returns:
  The more.

#### getCount

    long getCount()

     count is set to the number of keys within the range when requested.

`int64 count = 4;`

Returns:
  The count.